# Protocol: Tutorial_04
# Java Config File: "Tutorial04.properties"
# Paths
keypath = keystore/
# Cryptographic Engine default settings
# see names at https://docs.oracle.com/javase/8/docs/technotes/guides/security/StandardNames.html
cipherScheme = AES
keySize = 128
asymcipherSchemeBlock = RSA
keyGenerationScheme = AES
keyGenerationSize = 192
secureRandomAlgorithm = SHA1PRNG
hMacAlgorithm = HmacSHA1
messageDigestAlgorithm = SHA-1
keyAgreementAlgorithm = DH
dhRndExpSize = 1024
